Skip to content

Perform various operations for Symitar parameters.

Operations

getCpWorkCard

POST

Retrieve CpWorkCard parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/parameter/getCpWorkCard
POST /nexum/627/2022.01/parameter/getCpWorkCard HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getCpWorkCardSelectFields

POST

Retrieve CpWorkCard parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/parameter/getCpWorkCardSelectFields
POST /nexum/627/2022.01/parameter/getCpWorkCardSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  },
  "SelectableFields": {
    "CpWorkCardFields": {
      "AdditionalInfoSpecfileName": true,
      "AutomaticAdvanceNextQueued": true,
      "WorkCardDescriptionType": [
        0
      ]
    }
  }
}

updateCpWorkCardByID

POST

Update CpWorkCard parameter configuration. Parameter updates can change institution behavior and should be tested in a controlled environment before use.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/parameter/updateCpWorkCardByID
POST /nexum/627/2022.01/parameter/updateCpWorkCardByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CpWorkCardUpdatableFields": {
    "Type": 0,
    "Priority": "0",
    "LastCollectorId": 0
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}